using FL.Nodes.GameMain;
using XGame.Framework.Data;
using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public static partial class NodeKeys
    {
        private static NodeKey _GameMain;
        public static NodeKey GameMain => _GameMain ??= new NodeKey("GameMain", (uint)NodeGroupDefine.GameMain, typeof(GameMainNode));
    }
    public class GameMainNode : Node
    {
        protected override void OnDispose()
        {
        }

        protected override void OnInited()
        {
        }

        protected override void AddComponent(INodeComponentGroup group)
        {
            group.Add(new TableComponent());
            group.Add(new MapComponent());
            group.Add(new UIComponent());
        }

        protected override void AddData(IDataGroup dataGroup)
        {
        }
    }
}